*** ./Build-OSR6.osr6	Thu Feb 15 09:38:58 2007
--- ./Build-OSR6	Fri Feb 23 13:09:53 2007
***************
*** 0 ****
--- 1,66 ----
+ #!/bin/sh
+ #
+ HOST=i586-sco-sysv5
+ CFLAGS="-O2"
+ INSTALL=/usr/gnu/bin/install
+ NM="nm -p"
+ M4=/usr/gnu/bin/m4
+ MAKE="/usr/gnu/bin/make -d"
+ if [ "$1" = "-g" ]
+ then
+   CC="gcc -D_REENTRANT"
+   CXX="g++ -D_REENTRANT"
+   CFLAGS="$CFLAGS -Wall"
+ else
+   CC="cc -Kpthread -Kalloca"
+   CXX="CC -Kpthread -Kalloca"
+ fi
+ ANT_HOME=/usr/ant
+ JAVA_HOME=/usr/java
+ PATH=$ANT_HOME/bin:$JAVA_HOME/bin:/usr/gnu/bin:$PATH
+ export CC CXX CFLAGS NM M4 INSTALL ANT_HOME JAVA_HOME PATH MAKE
+ 
+ # why do people put spaces in file and directory names ?
+ cp build-spaces-hack 'plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library'/build.sh
+ [ -d 'plugins/org.eclipse.swt/Eclipse SWT/common/library' ] || {
+     mkdir -p 'plugins/org.eclipse.swt/Eclipse SWT/common/library'
+ }
+ cp callback.h-hack 'plugins/org.eclipse.swt/Eclipse SWT/common/library/callback.h'
+ cp callback.c-hack 'plugins/org.eclipse.swt/Eclipse SWT/common/library/callback.c'
+ #[ -d plugins/org.eclipse.swt.gtk.sysv5.x86/src/bin/library ] || {
+ #    mkdir -p plugins/org.eclipse.swt.gtk.sysv5.x86/src/bin/library
+ #}
+ #cp build-spaces-hack plugins/org.eclipse.swt.gtk.sysv5.x86/src/bin/library/build.sh
+ cp build.xml-spaces-hack 'plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library'/build.xml
+ chmod 755 'plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library'/build.sh
+ #chmod 755 plugins/org.eclipse.swt.gtk.sysv5.x86/src/bin/library/build.sh
+ chmod 755 features/org.eclipse.platform.launchers/library/gtk/build.sh
+ cp make_sysv5-spaces-hack 'plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library'/make_sysv5.mak
+ 
+ [ -d tmp/eclipse/sysv5.gtk.x86/eclipse ] || {
+     mkdir -p tmp/eclipse/sysv5.gtk.x86/eclipse
+ }
+ [ -d features/org.eclipse.platform.launchers/bin/gtk/sysv5/x86 ] || {
+     mkdir -p features/org.eclipse.platform.launchers/bin/gtk/sysv5/x86
+ }
+ [ -d plugins/org.eclipse.update.core.sysv5/os/sysv5/x86 ] || {
+     mkdir -p plugins/org.eclipse.update.core.sysv5/os/sysv5/x86
+ }
+ [ -d plugins/org.eclipse.core.resources.sysv5/os/sysv5 ] || {
+     mkdir -p plugins/org.eclipse.core.resources.sysv5/os/sysv5
+ }
+ 
+ for i in plugins/*sysv5*
+ do
+     [ -d $i ] && {
+         [ -d $i/src ] || mkdir $i/src
+     }
+ done
+ [ -d features/org.eclipse.platform.launchers/bin ] && {
+   [ -d features/org.eclipse.platform.launchers/bin/sysv5/x86 ] || {
+     mkdir -p features/org.eclipse.platform.launchers/bin/sysv5/x86
+   }
+ }
+ 
+ rm -f mout
+ ./build -os sysv5 -ws gtk -arch x86 -java5home /usr/java -compilelibs 2>&1 | tee mout
*** ./build.osr6	Thu Sep 21 07:57:38 2006
--- ./build	Fri Feb 23 13:41:20 2007
***************
*** 1,4 ****
! #!/bin/sh
  
  ANT_OPTS=-Xmx1000M; export ANT_OPTS
  os=""
--- 1,4 ----
! #!/bin/bash
  
  ANT_OPTS=-Xmx1000M; export ANT_OPTS
  os=""
***************
*** 60,66 ****
  	exit 1
  fi
  
! if [ "$os-$ws-$arch" = "linux-motif-x86" ] || [ "$os-$ws-$arch" = "linux-gtk-x86" ] || [ "$os-$ws-$arch" = "linux-gtk-x86_64" ] || [ "$os-$ws-$arch" = "linux-gtk-ia64" ] || [ "$os-$ws-$arch" = "solaris-motif-sparc" ] || [ "$os-$ws-$arch" = "solaris-gtk-x86" ] || [ "$os-$ws-$arch" = "solaris-gtk-sparc" ] || [ "$os-$ws-$arch" = "aix-motif-ppc" ] || [ "$os-$ws-$arch" = "hpux-motif-PA_RISC" ] || [ "$os-$ws-$arch" = "qnx-photon-x86" ] || [ "$os-$ws-$arch" = "win32-win32-x86" ] || [ "$os-$ws-$arch" = "linux-gtk-ppc" ] || [ "$os-$ws-$arch" = "linux-gtk-ppc64" ] || [ "$os-$ws-$arch" = "macosx-carbon-ppc" ] || [ "$os-$ws-$arch" = "hpux-motif-ia64" ] || [ "$os-$ws-$arch" = "hpux-motif-ia64_32" ]
  then
  		 ORIGCLASSPATH=$CLASSPATH;export ORIGCLASSPATH		 
  		 ant -q -buildfile jdtcoresrc/compilejdtcorewithjavac.xml
--- 60,66 ----
  	exit 1
  fi
  
! if [ "$os-$ws-$arch" = "linux-motif-x86" ] || [ "$os-$ws-$arch" = "linux-gtk-x86" ] || [ "$os-$ws-$arch" = "linux-gtk-x86_64" ] || [ "$os-$ws-$arch" = "linux-gtk-ia64" ] || [ "$os-$ws-$arch" = "solaris-motif-sparc" ] || [ "$os-$ws-$arch" = "solaris-gtk-x86" ] || [ "$os-$ws-$arch" = "solaris-gtk-sparc" ] || [ "$os-$ws-$arch" = "aix-motif-ppc" ] || [ "$os-$ws-$arch" = "hpux-motif-PA_RISC" ] || [ "$os-$ws-$arch" = "qnx-photon-x86" ] || [ "$os-$ws-$arch" = "win32-win32-x86" ] || [ "$os-$ws-$arch" = "linux-gtk-ppc" ] || [ "$os-$ws-$arch" = "linux-gtk-ppc64" ] || [ "$os-$ws-$arch" = "macosx-carbon-ppc" ] || [ "$os-$ws-$arch" = "hpux-motif-ia64" ] || [ "$os-$ws-$arch" = "hpux-motif-ia64_32" ] || [ "$os-$ws-$arch" = "sysv5-gtk-x86" ]
  then
  		 ORIGCLASSPATH=$CLASSPATH;export ORIGCLASSPATH		 
  		 ant -q -buildfile jdtcoresrc/compilejdtcorewithjavac.xml
***************
*** 71,74 ****
  		 else
  		 		 echo "The os-ws-arch combination of $os-$ws-$arch is not valid."
   		 exit 1
!  fi
\ No newline at end of file
--- 71,74 ----
  		 else
  		 		 echo "The os-ws-arch combination of $os-$ws-$arch is not valid."
   		 exit 1
!  fi
*** ./build-spaces-hack.osr6	Thu Feb 15 09:38:58 2007
--- ./build-spaces-hack	Thu Feb 15 09:38:58 2007
***************
*** 0 ****
--- 1,149 ----
+ #!/bin/sh
+ #*******************************************************************************
+ # Copyright (c) 2000, 2005 IBM Corporation and others.
+ # All rights reserved. This program and the accompanying materials
+ # are made available under the terms of the Eclipse Public License v1.0
+ # which accompanies this distribution, and is available at
+ # http://www.eclipse.org/legal/epl-v10.html
+ # 
+ # Contributors:
+ #     IBM Corporation - initial API and implementation
+ #     Kevin Cornell (Rational Software Corporation)
+ #     Tom Tromey (Red Hat, Inc.)
+ #*******************************************************************************
+ 
+ cd `dirname $0`
+ #cd '/usr/src/sco/devtools/eclipse-3.2.1/plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library'
+ 
+ if [ "${OS}" = "" ]; then
+ 	OS=`uname -s`
+ fi
+ if [ "${MODEL}" = "" ]; then
+ 	MODEL=`uname -m`
+ fi
+ 
+ case $OS in
+ 	"SCO_SV")
+ 		CC="cc -Kpthread -Kalloca"
+ 		LD="$CC"
+ 		if [ "${JAVA_HOME}" = "" ]; then
+ 			JAVA_HOME=/usr/java
+ 		fi
+ 		AWT_LIB_PATH=$JAVA_HOME/jre/lib/i386
+ 		XTEST_LIB_PATH=/usr/X11R6/lib
+ 		GECKO_INCLUDES="`/usr/bin/mozilla-config --cflags`"
+ 		GECKO_LIBS="`/usr/bin/mozilla-config --libs xpcom nspr gfx`"
+ 		OUTPUT_DIR=../../../org.eclipse.swt.gtk.sysv5.x86
+ 		PATH=/usr/ccs/bin:/usr/gnu/bin:$PATH
+ 		export PATH
+ 		makefile="make_sysv5.mak"
+ 		echo "Building SYSV5 GTK x86 version of SWT"
+ 		;;
+ 	"Linux")
+ 		case $MODEL in
+ 			"x86_64")
+ 				CC=gcc
+ 				LD=gcc
+ 				if [ "${JAVA_HOME}" = "" ]; then
+ 					JAVA_HOME=/bluebird/teamswt/swt-builddir/jdk1.5.0
+ 				fi
+ 				AWT_LIB_PATH=$JAVA_HOME/jre/lib/amd64
+ 				XTEST_LIB_PATH=/usr/X11R6/lib64
+ 				if [ "${GECKO_SDK}" = "" ]; then
+ 					GECKO_SDK=/mozilla/mozilla/1.7/amd64/gtk2/mozilla/dist/sdk
+ 					GECKO_INCLUDES="-include ${GECKO_SDK}/include/mozilla-config.h -I${GECKO_SDK}/include"
+ 					GECKO_LIBS="-L${GECKO_SDK}/lib -L${GECKO_SDK}/bin -lembed_base_s -lxpcomglue_s -lxpcom -lnspr4 -lplds4 -lplc4"
+ 				fi
+ 				SWT_PTR_CFLAGS=-DSWT_PTR_SIZE_64
+ 				OUTPUT_DIR=../../../org.eclipse.swt.gtk.linux.x86_64
+ 				makefile="make_linux.mak"
+ 				echo "Building Linux GTK AMD64 version of SWT"
+ 				;;
+ 			i?86)
+ 				CC=gcc
+ 				LD=gcc
+ 				if [ "${JAVA_HOME}" = "" ]; then
+ 					JAVA_HOME=/bluebird/teamswt/swt-builddir/IBMJava2-141
+ 				fi
+ 				AWT_LIB_PATH=$JAVA_HOME/jre/bin
+ 				XTEST_LIB_PATH=/usr/X11R6/lib
+ 				if [ "${GECKO_SDK}" = "" ]; then
+ 					GECKO_SDK=/mozilla/mozilla/1.4/linux_gtk2/mozilla/dist/sdk
+ 					GECKO_INCLUDES="-include ${GECKO_SDK}/mozilla-config.h -I${GECKO_SDK}/nspr/include -I${GECKO_SDK}/xpcom/include -I${GECKO_SDK}/string/include -I${GECKO_SDK}/embed_base/include -I${GECKO_SDK}/embedstring/include"
+ 					GECKO_LIBS="-L${GECKO_SDK}/embedstring/bin -lembedstring -L${GECKO_SDK}/embed_base/bin -lembed_base_s -L${GECKO_SDK}/xpcom/bin -lxpcomglue_s -lxpcom -L${GECKO_SDK}/nspr/bin -lnspr4 -lplds4 -lplc4"
+ 				fi
+ 				OUTPUT_DIR=../../../org.eclipse.swt.gtk.linux.x86
+ 				makefile="make_linux.mak"
+ 				echo "Building Linux GTK x86 version of SWT"
+ 				;;
+ 			"ppc")
+ 				CC=gcc
+ 				LD=gcc
+ 				if [ "${JAVA_HOME}" = "" ]; then
+ 					JAVA_HOME=/opt/IBMJava2-ppc-142
+ 				fi
+ 				AWT_LIB_PATH=$JAVA_HOME/jre/bin
+ 				XTEST_LIB_PATH=/usr/X11R6/lib
+ 				OUTPUT_DIR=../../../org.eclipse.swt.gtk.linux.ppc
+ 				makefile="make_linux.mak"
+ 				echo "Building Linux GTK PowerPC 32 bit version of SWT"
+ 				;;
+ 			"ppc64")
+ 				CC=gcc
+ 				LD=gcc
+ 				if [ "${JAVA_HOME}" = "" ]; then
+ 					echo "JAVA_HOME is missing. Build will probably fail."
+ 				fi
+ 				AWT_LIB_PATH=$JAVA_HOME/jre/bin
+ 				XTEST_LIB_PATH=/usr/X11R6/lib
+ 				SWT_PTR_CFLAGS=-DSWT_PTR_SIZE_64
+ 				OUTPUT_DIR=../../../org.eclipse.swt.gtk.linux.ppc64
+ 				makefile="make_linux.mak"
+ 				;;
+ 			"ia64")
+ 				CC=gcc
+ 				LD=gcc
+ 				if [ "${JAVA_HOME}" = "" ]; then
+ 					echo "JAVA_HOME is missing. Build will probably fail."
+ 				fi
+ 				AWT_LIB_PATH=$JAVA_HOME/jre/lib/ia64
+ 				XTEST_LIB_PATH=/usr/X11R6/lib
+ 				SWT_PTR_CFLAGS=-DSWT_PTR_SIZE_64
+ 				OUTPUT_DIR=../../../org.eclipse.swt.gtk.linux.ia64
+ 				makefile="make_linux.mak"
+ 				;;
+ 			*)
+ 				echo "*** Unknown MODEL <${MODEL}>"
+ 				;;	
+ 		esac
+ 		;;
+ 	"SunOS")
+ 		CC=gcc
+ 		LD=gcc
+ 		if [ "${JAVA_HOME}" = "" ]; then
+ 			JAVA_HOME=/usr/j2se
+ 		fi
+ 		if [ "${CDE_HOME}" = "" ]; then
+ 			CDE_HOME=/usr/dt		
+ 		fi
+ 		AWT_LIB_PATH=$JAVA_HOME/jre/lib/sparc
+ 		PATH=/usr/ccs/bin:/usr/local/bin:$PATH
+ 		export PATH
+ 		XTEST_LIB_PATH=/usr/openwin/lib
+ #		if [ "${GECKO_SDK}" = "" ]; then
+ #			GECKO_SDK=/mozilla/mozilla/1.4/linux_gtk2/mozilla/dist/sdk
+ #		fi
+ 		OUTPUT_DIR=../../../org.eclipse.swt.gtk.solaris.sparc
+ 		makefile="make_solaris.mak"
+ 		echo "Building Solaris GTK version of SWT"
+ 		;;
+ 	*)
+ 
+ 	echo "*** Unknown OS <${OS}>"
+ 	;;
+ esac
+ 
+ export CC LD JAVA_HOME AWT_LIB_PATH XTEST_LIB_PATH GECKO_SDK GECKO_INCLUDES GECKO_LIBS SWT_PTR_CFLAGS CDE_HOME OUTPUT_DIR
+ 
+ [ "$MAKE" ] || MAKE=make
+ $MAKE -f $makefile ${1} ${2} ${3} ${4}
*** ./make_sysv5-spaces-hack.osr6	Thu Feb 15 09:38:58 2007
--- ./make_sysv5-spaces-hack	Thu Feb 15 09:38:58 2007
***************
*** 0 ****
--- 1,209 ----
+ #*******************************************************************************
+ # Copyright (c) 2000, 2005 IBM Corporation and others.
+ # All rights reserved. This program and the accompanying materials
+ # are made available under the terms of the Eclipse Public License v1.0
+ # which accompanies this distribution, and is available at
+ # http://www.eclipse.org/legal/epl-v10.html
+ # 
+ # Contributors:
+ #     IBM Corporation - initial API and implementation
+ #*******************************************************************************
+ 
+ # Makefile for creating SWT libraries for SYSV5 GTK
+ 
+ maj_ver=3
+ min_ver=139
+ comma_ver=3,1,3,9
+ 
+ SWT_VERSION=$(maj_ver)$(min_ver)
+ 
+ # Define the various shared libraries to be build.
+ WS_PREFIX = gtk
+ SWT_PREFIX = swt
+ AWT_PREFIX = swt-awt
+ SWTPI_PREFIX = swt-pi
+ CAIRO_PREFIX = swt-cairo
+ ATK_PREFIX = swt-atk
+ #GNOME_PREFIX = swt-gnome
+ GNOME_PREFIX =
+ MOZILLA_PREFIX = swt-mozilla
+ SWT_LIB = lib$(SWT_PREFIX)-$(WS_PREFIX)-$(SWT_VERSION).so
+ AWT_LIB = lib$(AWT_PREFIX)-$(WS_PREFIX)-$(SWT_VERSION).so
+ SWTPI_LIB = lib$(SWTPI_PREFIX)-$(WS_PREFIX)-$(SWT_VERSION).so
+ CAIRO_LIB = lib$(CAIRO_PREFIX)-$(WS_PREFIX)-$(SWT_VERSION).so
+ ATK_LIB = lib$(ATK_PREFIX)-$(WS_PREFIX)-$(SWT_VERSION).so
+ #GNOME_LIB = lib$(GNOME_PREFIX)-$(WS_PREFIX)-$(SWT_VERSION).so
+ GNOME_LIB =
+ MOZILLA_LIB = lib$(MOZILLA_PREFIX)-$(WS_PREFIX)-$(SWT_VERSION).so
+ 
+ CAIROCFLAGS = `pkg-config --cflags cairo`
+ CAIROLIBS = `pkg-config --libs-only-L cairo` -lcairo
+ 
+ # Do not use pkg-config to get libs because it includes unnecessary dependencies (i.e. pangoxft-1.0)
+ GTKCFLAGS = `pkg-config --cflags gtk+-2.0`
+ GTKLIBS = `pkg-config --libs-only-L gtk+-2.0 gthread-2.0` -lgtk-x11-2.0 -lgthread-2.0 -L$(XTEST_LIB_PATH) -lXtst
+ 
+ AWT_LIBS = -G -L$(AWT_LIB_PATH) -lawt
+ 
+ ATKCFLAGS = `pkg-config --cflags atk gtk+-2.0`
+ ATKLIBS = `pkg-config --libs-only-L atk gtk+-2.0`-latk-1.0 -lgtk-x11-2.0
+ 
+ #GNOMECFLAGS = `pkg-config --cflags gnome-vfs-module-2.0 libgnome-2.0 libgnomeui-2.0`
+ #GNOMELIBS = `pkg-config --libs-only-L gnome-vfs-module-2.0 libgnome-2.0 libgnomeui-2.0` -lgnomevfs-2 -lgnome-2 -lgnomeui-2
+ GNOMECFLAGS =
+ GNOMELIBS =
+ 
+ # Uncomment for Native Stats tool
+ #NATIVE_STATS = -DNATIVE_STATS
+ 
+ MOZILLACFLAGS = -O \
+ 	-DXPCOM_GLUE=1 \
+ 	-DMOZILLA_STRICT_API=1 \
+ 	-DSWT_VERSION=$(SWT_VERSION) $(NATIVE_STATS) \
+ 	-KPIC \
+ 	-I./ \
+ 	-I$(JAVA_HOME)/include \
+ 	-I$(JAVA_HOME)/include/unixware \
+ 	${GECKO_INCLUDES} \
+ 	${SWT_PTR_CFLAGS}
+ 
+ MOZILLALIBS = -G -Wl,-Bexport ${GECKO_LIBS}
+ 
+ SWT_OBJECTS = swt.o callback.o
+ AWT_OBJECTS = swt_awt.o
+ SWTPI_OBJECTS = swt.o os.o os_structs.o os_custom.o os_stats.o
+ CAIRO_OBJECTS = swt.o cairo.o cairo_structs.o cairo_stats.o cairo_custom.o
+ ATK_OBJECTS = swt.o atk.o atk_structs.o atk_custom.o atk_stats.o
+ #GNOME_OBJECTS = swt.o gnome.o gnome_structs.o gnome_stats.o
+ GNOME_OBJECTS =
+ MOZILLA_OBJECTS = swt.o xpcom.o xpcom_custom.o xpcom_structs.o xpcom_stats.o
+  
+ CFLAGS = -O \
+ 		-DSWT_VERSION=$(SWT_VERSION) \
+ 		$(NATIVE_STATS) \
+ 		-DLINUX -DGTK \
+ 		-I$(JAVA_HOME)/include \
+ 		-I$(JAVA_HOME)/include/unixware \
+ 		-KPIC \
+ 		${SWT_PTR_CFLAGS}
+ LIBS = -G -KPIC
+ 
+ 
+ all: make_swt make_atk make_gnome make_awt
+ 
+ #
+ # SWT libs
+ #
+ make_swt: $(SWT_LIB) $(SWTPI_LIB)
+ 
+ $(SWT_LIB): $(SWT_OBJECTS)
+ 	$(LD) $(LIBS) -o $(SWT_LIB) $(SWT_OBJECTS)
+ 
+ callback.o: callback.c callback.h
+ 	$(CC) $(CFLAGS) -c callback.c
+ 
+ $(SWTPI_LIB): $(SWTPI_OBJECTS)
+ 	$(LD) $(LIBS) $(GTKLIBS) -o $(SWTPI_LIB) $(SWTPI_OBJECTS)
+ 
+ swt.o: swt.c swt.h
+ 	$(CC) $(CFLAGS) -c swt.c
+ os.o: os.c os.h swt.h os_custom.h
+ 	$(CC) $(CFLAGS) $(GTKCFLAGS) -c os.c
+ os_structs.o: os_structs.c os_structs.h os.h swt.h
+ 	$(CC) $(CFLAGS) $(GTKCFLAGS) -c os_structs.c 
+ os_custom.o: os_custom.c os_structs.h os.h swt.h
+ 	$(CC) $(CFLAGS) $(GTKCFLAGS) -c os_custom.c
+ os_stats.o: os_stats.c os_structs.h os.h os_stats.h swt.h
+ 	$(CC) $(CFLAGS) $(GTKCFLAGS) -c os_stats.c
+ 
+ #
+ # CAIRO libs
+ #
+ make_cairo: $(CAIRO_LIB)
+ 
+ $(CAIRO_LIB): $(CAIRO_OBJECTS)
+ 	$(LD) $(LIBS) $(CAIROLIBS) -o $(CAIRO_LIB) $(CAIRO_OBJECTS)
+ 
+ cairo.o: cairo.c cairo.h swt.h
+ 	$(CC) $(CFLAGS) $(CAIROCFLAGS) -c cairo.c
+ cairo_custom.o: cairo_custom.c cairo_structs.h cairo.h swt.h
+ 	$(CC) $(CFLAGS) $(CAIROCFLAGS) -c cairo_custom.c
+ cairo_structs.o: cairo_structs.c cairo_structs.h cairo.h swt.h
+ 	$(CC) $(CFLAGS) $(CAIROCFLAGS) -c cairo_structs.c
+ cairo_stats.o: cairo_stats.c cairo_structs.h cairo.h cairo_stats.h swt.h
+ 	$(CC) $(CFLAGS) $(CAIROCFLAGS) -c cairo_stats.c
+ 
+ #
+ # AWT lib
+ #
+ make_awt: $(AWT_LIB)
+ 
+ $(AWT_LIB): $(AWT_OBJECTS)
+ 	$(LD) $(AWT_LIBS) -o $(AWT_LIB) $(AWT_OBJECTS)
+ 
+ #
+ # Atk lib
+ #
+ make_atk: $(ATK_LIB)
+ 
+ $(ATK_LIB): $(ATK_OBJECTS)
+ 	$(LD) $(LIBS) $(ATKLIBS) -o $(ATK_LIB) $(ATK_OBJECTS)
+ 
+ atk.o: atk.c atk.h
+ 	$(CC) $(CFLAGS) $(ATKCFLAGS) -c atk.c
+ atk_structs.o: atk_structs.c atk_structs.h atk.h
+ 	$(CC) $(CFLAGS) $(ATKCFLAGS) -c atk_structs.c
+ atk_custom.o: atk_custom.c atk_structs.h atk.h
+ 	$(CC) $(CFLAGS) $(ATKCFLAGS) -c atk_custom.c
+ atk_stats.o: atk_stats.c atk_structs.h atk_stats.h atk.h
+ 	$(CC) $(CFLAGS) $(ATKCFLAGS) -c atk_stats.c
+ 
+ #
+ # Gnome lib
+ #
+ #make_gnome: $(GNOME_LIB)
+ make_gnome:
+ 
+ #$(GNOME_LIB): $(GNOME_OBJECTS)
+ #	$(LD) $(LIBS) $(GNOMELIBS) -o $(GNOME_LIB) $(GNOME_OBJECTS)
+ 
+ gnome.o: gnome.c 
+ 	$(CC) $(CFLAGS) $(GNOMECFLAGS) -c gnome.c
+ 
+ gnome_structs.o: gnome_structs.c 
+ 	$(CC) $(CFLAGS) $(GNOMECFLAGS) -c gnome_structs.c
+ 	
+ gnome_stats.o: gnome_stats.c gnome_stats.h
+ 	$(CC) $(CFLAGS) $(GNOMECFLAGS) -c gnome_stats.c
+ 
+ #
+ # Mozilla lib
+ #
+ make_mozilla:$(MOZILLA_LIB)
+ 
+ $(MOZILLA_LIB): $(MOZILLA_OBJECTS)
+ 	$(CXX) -o $(MOZILLA_LIB) $(MOZILLA_OBJECTS) $(MOZILLALIBS)
+ 
+ xpcom.o: xpcom.cpp
+ 	$(CXX) $(MOZILLACFLAGS) -c xpcom.cpp
+ 
+ xpcom_structs.o: xpcom_structs.cpp
+ 	$(CXX) $(MOZILLACFLAGS) -c xpcom_structs.cpp
+ 	
+ xpcom_custom.o: xpcom_custom.cpp
+ 	$(CXX) $(MOZILLACFLAGS) -c xpcom_custom.cpp
+ 
+ xpcom_stats.o: xpcom_stats.cpp
+ 	$(CXX) $(MOZILLACFLAGS) -c xpcom_stats.cpp	
+ 
+ #
+ # Install
+ #
+ install: all
+ 	cp *.so $(OUTPUT_DIR)
+ 
+ #
+ # Clean
+ #
+ clean:
+ 	rm -f *.o *.so
*** ./build.xml-spaces-hack.osr6	Thu Feb 15 09:38:58 2007
--- ./build.xml-spaces-hack	Thu Feb 15 09:38:58 2007
***************
*** 0 ****
--- 1,56 ----
+ <?xml version="1.0" encoding="UTF-8"?>
+ 
+ <project default="build_gtk_lib" basedir="../../..">
+ 
+ <target name="init">
+ 	<eclipse.refreshLocal resource="org.eclipse.swt" depth="infinite" />
+ 	<eclipse.refreshLocal resource="org.eclipse.swt.tools" depth="infinite" />	
+    	<eclipse.incrementalBuild project="org.eclipse.swt" kind="incr" />
+ </target>
+ 	
+ <!-- Build swt.so for GTK -->
+ <target name="build_gtk_lib" depends="init">
+ 	<exec dir="./bin/library" executable="sh">
+ 		<arg line="${basedir}/bin/library/build.sh"/>
+ 		<arg line="make_mozilla"/>
+ 		<arg line="install"/>
+ 	</exec>
+ 	<eclipse.refreshLocal resource="org.eclipse.swt.gtk.sysv5.x86" depth="infinite" />
+ </target>
+ 
+ <!-- Build swt.so for PowerPC 32 bit GTK (no Mozilla)-->
+ <target name="build_ppc_gtk_lib" depends="init">
+ 	<exec dir="./bin/library" executable="sh">
+ 		<env key="MODEL" value="ppc"/>
+ 		<arg line="${basedir}/bin/library/build.sh"/>
+ 		<arg line="install"/>
+ 	</exec>
+ 	<eclipse.refreshLocal resource="org.eclipse.swt.gtk.linux.x86" depth="infinite" />
+ </target>
+ 
+ <!-- Build swt.so for Solaris GTK (no Mozilla) -->
+ <target name="build_solaris_gtk_lib" depends="init">
+ 	<exec dir="./bin/library" executable="sh">
+ 		<arg line="${basedir}/bin/library/build.sh"/>
+ 		<arg line="install"/>
+ 	</exec>
+ 	<eclipse.refreshLocal resource="org.eclipse.swt.gtk.solaris.sparc" depth="infinite" />
+ </target>
+ 	
+ <!-- Build swt.so for GTK 64 -->
+ <target name="build_gtk64_lib" depends="init">
+ 	<exec dir="./bin/library" executable="sh">
+ 		<arg line="${basedir}/bin/library/build.sh"/>
+ 		<arg line="install"/>
+ 	</exec>
+ 	<eclipse.refreshLocal resource="org.eclipse.swt.gtk.linux.x86_64" depth="infinite" />	
+ </target>
+ 
+ <target name="clean">
+ 	<exec dir="./bin/library" executable="sh">
+ 		<arg line="${basedir}/bin/library/build.sh"/>
+ 		<arg line="clean"/>
+ 	</exec>
+ </target>
+ 
+ </project>
*** ./callback.h-hack.osr6	Thu Feb 15 09:38:58 2007
--- ./callback.h-hack	Thu Feb 15 09:38:58 2007
***************
*** 0 ****
--- 1,54 ----
+ /*******************************************************************************
+  * Copyright (c) 2000, 2005 IBM Corporation and others.
+  * All rights reserved. This program and the accompanying materials
+  * are made available under the terms of the Eclipse Public License v1.0
+  * which accompanies this distribution, and is available at
+  * http://www.eclipse.org/legal/epl-v10.html
+  * 
+  * Contributors:
+  *     IBM Corporation - initial API and implementation
+  *******************************************************************************/
+  
+ /**
+  * Callback implementation.
+  */
+ #ifndef INC_callback_H
+ #define INC_callback_H
+ 
+ #include "swt.h"
+ 
+ #if defined (_WIN32) || defined (_WIN32_WCE)
+ #include "windows.h"
+ #define RETURN_TYPE LRESULT CALLBACK
+ #define RETURN_CAST (LRESULT)
+ #endif
+ 
+ #ifndef RETURN_TYPE
+ #define RETURN_TYPE SWT_PTR
+ #endif
+ 
+ #ifndef RETURN_CAST
+ #define RETURN_CAST
+ #endif
+ 
+ #ifdef REDUCED_CALLBACKS
+ #define MAX_CALLBACKS 16
+ #else
+ #define MAX_CALLBACKS 128
+ #endif /* REDUCED_CALLBACKS */
+ 
+ /* #define MAX_ARGS 12 */
+ #define MAX_ARGS 10
+ 
+ typedef struct CALLBACK_DATA {
+     jobject callback;
+     jmethodID methodID;
+   	jobject object;
+ 	jboolean isStatic;
+ 	jboolean isArrayBased; 
+ 	jint argCount;
+ 	SWT_PTR errorResult;
+ } CALLBACK_DATA;
+ 
+ #endif /* ifndef INC_callback_H */
+ 
*** ./Install-OSR6.osr6	Thu Feb 15 09:38:58 2007
--- ./Install-OSR6	Thu Feb 15 09:38:58 2007
***************
*** 0 ****
--- 1,25 ----
+ #!/bin/sh
+ 
+ MOUT=mout-install
+ D=/u/tmp/eclipse
+ SOURCES=/usr/src/sco/SOURCES
+ H=`pwd`
+ 
+ [ -f $MOUT ] && mv $MOUT $MOUT-prev
+ [ -d $D ] && rm -rf $D
+ mkdir -p $D/usr/share
+ cd $D/usr/share
+ gzcat $H/result/sysv5-gtk-x86-sdk.tar.gz | tar xf -
+ cd eclipse
+ cp $H/launchertmp/eclipse eclipse
+ chmod 755 eclipse
+ mkdir -p $D/usr/bin
+ cp $SOURCES/eclipse.script $D/usr/bin/eclipse
+ chmod 755 $D/usr/bin/eclipse
+ mkdir -p $D/etc
+ cp $SOURCES/eclipse.conf $D/etc/eclipse.conf
+ mkdir -p $D/usr/share/applications
+ cp $SOURCES/eclipse.desktop $D/usr/share/applications/eclipse.desktop
+ mkdir -p $D/usr/share/pixmaps
+ cp $SOURCES/eclipse-48.png $D/usr/share/pixmaps/eclipse.png
+ 
